#include <stdio.h>

main( argc, argv )
int argc;
char **argv; 
{
int	rate ;		/* number of video frames per raster */
int	i, j ;

    if( argc != 2 ) 
    {
	printf( "usage: %s rate\n", argv[0]  );
	exit( 1 );
    }
    rate = atoi( argv[1] );

    system( "setntsc" );
    blanktime( 0 );

    if( vas_init( rate, 1, 1, 1, 1 ) ) 
    {
	if( vas_init( rate, 1, 1, 1, 1 ) ) 
	{
	    printf( "init failed \n" );
	    resetvid();
	    exit();
	}
    }
    if( vas_frame() ) 
    {
	printf( "frame failed \n" );
	resetvid();
	exit();
    }
    vas_stop( 0 );
    resetvid();
}


resetvid()
{
    system( "set60" );
    blanktime( 67*60*15 );
}
